# Pharmacy API Landing: https://developers.vsee.io/api/pharmacy-api · Spec JSON: https://developers.vsee.io/specs/pharmacy_api_openapi.json Base URL: https://api.vseepreview.com/api_v3 ## GET /users/{id}/erx/prescriptions URL: https://developers.vsee.io/api/pharmacy-api/get/users/%7Bid%7D/erx/prescriptions Auth: User Token — Requires a user access token from login or SSO. Get user prescriptions Get list of current prescriptions for a patient **Tip:** The `:id` parameter accepts dash (`-`) for the current user. Parameters: - X-ApiToken (header, string, required) — API token - X-AccountCode (header, string, required) — Account code - id (path, string, required) — User ID or dash (-) for current user - status (query, string, optional) — Status of prescriptions. Send `Current` by default. Responses: - 200 — Successful response ```json { "data": [ { "ID": "101544", "DrugID": "69202", "NDC": "59390003613", "Drug": "12 Hour Nasal 0.05% nasal spray", "Directions": "1 Milliliter(s) 1 to 2 times a day", "Qty": 5, "Status": "Current", "PrescriberName": "Dr. Rocky Charlette, N.P." } ] } ``` ## GET /users/{id}/erx/pharmacies URL: https://developers.vsee.io/api/pharmacy-api/get/users/%7Bid%7D/erx/pharmacies Auth: User Token — Requires a user access token from login or SSO. Get user pharmacies Get user's saved pharmacies **Tip:** The `:id` parameter accepts dash (`-`) for the current user. Returns an array of Pharmacy objects with location, contact info, and distance. Parameters: - X-ApiToken (header, string, required) — API token - X-AccountCode (header, string, required) — Account code - id (path, string, required) — User ID or dash (-) for current user Responses: - 200 — Successful response ```json { "data": [ { "is_default": true, "name": "4700 Sunset Blvd", "address": "4700 Sunset Boulevard", "code": "0561539", "city": "Los Angeles", "state": "CA", "zip": "90027", "phone": "8663528725", "lat": 36.800488, "long": -116.71875, "distance": 0.95993211712521 } ] } ``` ## POST /users/{id}/erx/pharmacies URL: https://developers.vsee.io/api/pharmacy-api/post/users/%7Bid%7D/erx/pharmacies Auth: User Token — Requires a user access token from login or SSO. Save pharmacy Save patient's currently chosen pharmacy Save the patient's currently chosen pharmacy. **Note:** Set `type` to `mdtoolbox` when saving pharmacy data from MDToolbox search results. Include the `extra` object with the unmodified data returned by the pharmacy search API (contains NCPDPID, StoreName, etc.). Parameters: - X-ApiToken (header, string, required) — API token - X-AccountCode (header, string, required) — Account code - id (path, string, required) — User ID or dash (-) for current user Request body (application/json): - name (string, required) - code (string, required) - address (string, optional) - address_more (string, optional) - city (string, optional) - country (string, optional) - state (string, optional) - zip (string, optional) - phone (string, optional) - fax (string, optional) - lat (number, optional) - long (number, optional) - distance (number, optional) - type (string, optional) - extra (object, optional) Example request: ```json { "name": "A247PC00-Anesthesia 24/7, PC", "address": "1200 Freas Avenue", "code": "1001103", "city": "Berwick", "state": "PA", "zip": "18063", "phone": "5707525572", "fax": "6153972423", "type": "mdtoolbox", "extra": { "NCPDPID": "1001103", "StoreName": "A247PC00-Anesthesia 24/7, PC" } } ``` Responses: - 200 — Successful save ```json { "data": true } ``` ## DELETE /users/{id}/erx/pharmacies/{code} URL: https://developers.vsee.io/api/pharmacy-api/delete/users/%7Bid%7D/erx/pharmacies/%7Bcode%7D Auth: User Token — Requires a user access token from login or SSO. Delete pharmacy Delete the specified pharmacy from the user profile Parameters: - X-ApiToken (header, string, required) — API token - X-AccountCode (header, string, required) — Account code - id (path, string, required) — User ID or dash (-) for current user - code (path, string, required) — Pharmacy code Responses: - 200 — Successful deletion ```json { "data": true } ```